<?php
/*
 * Phamm - http://phamm.rhx.it - <phamm@rhx.it>
 * Copyright (C) 2004-2005 Alessandro De Zorzi and Mirko Grava
 *  
 * Phamm is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Phamm is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/**
* Modify domain attributes
*
* @package Phamm
* @author Alessandro De Zorzi <adezorzi@rhx.it>
*
* @param string $domain The domain
* @param string $password1 The admin password
* @return bool $r
**/

function domain_modify ($domain, $password1)
{
    global $connect;
    global $LDAP_BASE;
    global $SUFFIX;

    if ($password1)
		$info["userPassword"]	= password_hash($password1);

    if ($info)
        $r = ldap_modify($connect, "cn=postmaster,vd=$domain,$LDAP_BASE", $info);

	return $r;
}
?>
