<?php
/*
 * Phamm - http://phamm.rhx.it - <phamm@rhx.it>
 * Copyright (C) 2004,2005 Alessandro De Zorzi and Mirko Grava
 *
 * This file is part of Phamm.
 *  
 * Phamm is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Phamm is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/**
* Print the Phamm menu plugins
*
* @package Phamm
* @author Alessandro De Zorzi <adezorzi@rhx.it>
**/

function plugin_templates($pn)
{
	if (!version_compare(phpversion(), "4.3.0", ">="))
		return 0;
	
	// Find plugin templates in path
	$path = '../plugins/'.$pn.'/templates';
	
	if (file_exists($path))
	{
		// The Templates Array
		unset($tpls);
		$tpls = array();

		foreach (glob($path."/*.php") as $tpl)
		{
			$tpls[] = $tpl;
		}

		// Count the tpls
		$tpls_nr = count($tpls);

		if (count($tpls) > 0)
		{
			echo "<SELECT name=\"templates[".$pn."]\">";
		
			foreach (glob($path."/*.php") as $tpl)
			{
				$name = substr(end(explode('/',$tpl)),0,-4);
				
				echo "<OPTION value=\"".$name."\">".$name;
			}

			echo "</SELECT>";
		}
	}
}
?>
