<?php
/*
 * Phamm - http://phamm.rhx.it - <phamm@rhx.it>
 * Copyright (C) 2004 Alessandro De Zorzi and Mirko Grava
 *  
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/**
* Check if realm account exists
*
* @package plugin
* @subpackage radius
* @author Tiziano D'Inca' <tiziano@asdasd.it>
* @param string $domain
* @return bool
**/

function is_realm_account($domain)
{
    global $connect;
    global $LDAP_BASE;

    $pre_results = self_values("$LDAP_BASE","vd=$domain");
    
	if ($pre_results["count"] == 1)
		return TRUE;
	else
		return FALSE;
}
?>
