<?php
/*
 * Phamm - http://phamm.rhx.it - <phamm@rhx.it>
 * Copyright (C) 2004,2005 Alessandro De Zorzi and Mirko Grava
 *
 * This file is part of Phamm.
 *  
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/**
* Write a log in to file
*
* TODO see:
* Log the operations in to file
* http://www.w3.org/Daemon/User/Config/Logging.html#common-logfile-format
*
* @package Phamm
* @author Alessandro De Zorzi <adezorzi@rhx.it>
*
* @param string $pn
* @param string $user
* @param string $operation
* @param bool $result
**/

// ********************************************************************

function phamm_log ($pn,$user,$operation,$result)
{
    if ($result==1)
        $resultLabel = 'OK';
    elseif ($result!=1)
    $resultLabel = 'ko';

    // Set the file in Append mode
    $logFile = fopen (LOG_FILE,'a');

    // Get time and date
    $day = date('Y'.'-'.'m'.'-'.'d');
    $hour = date ('H'.':'.'s');
    $IP = $_SERVER["REMOTE_ADDR"];

    // Prepare the log string
    $log= "$IP $user [$day $hour] \"$pn-> $operation\" $resultLabel\n";

    // Write the log in to file
    fwrite ($logFile,"$log");

    // Close the file
    fclose ($logFile);
}
?>
